# ModelDDisclosurePrivacyCriterion (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Class ModelDDisclosurePrivacyCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelExplicitCriterion
    - - org.deidentifier.arx.gui.model.ModelDDisclosurePrivacyCriterion

- All Implemented Interfaces:
    java.io.Serializable

      public class ModelDDisclosurePrivacyCriterion
      extends ModelExplicitCriterion

  This class implements a model for the d-disclosure privacy criterion
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelDDisclosurePrivacyCriterion(java.lang.String attribute)` Creates a new instance.
    `ModelDDisclosurePrivacyCriterion(java.lang.String attribute, double d)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelDDisclosurePrivacyCriterion` | `clone()` Clone
    `PrivacyCriterion` | `getCriterion(Model model)` Implement this to return the criterion.
    `double` | `getD()` Returns D.
    `java.lang.String` | `getLabel()` Implement this to return a string representation.
    `void` | `parse(ModelCriterion criterion, boolean _default)` Parse
    `void` | `pull(ModelExplicitCriterion criterion)` Implement this, to update data.
    `void` | `setD(double d)` Sets D.
    `java.lang.String` | `toString()` Implement this to return a string representation.

    - ### Methods inherited from class org.deidentifier.arx.gui.model.ModelExplicitCriterion

      `getAttribute`

    - ### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

      `isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelDDisclosurePrivacyCriterion

          public ModelDDisclosurePrivacyCriterion(java.lang.String attribute)

      Creates a new instance.
      Parameters:
        `attribute` -

    - #### ModelDDisclosurePrivacyCriterion

          public ModelDDisclosurePrivacyCriterion(java.lang.String attribute,
                                          double d)

      Creates a new instance.
      Parameters:
        `attribute` -

  - ### Method Detail

    - #### clone

          public ModelDDisclosurePrivacyCriterion clone()

      Description copied from class: `ModelCriterion`
      Clone
      Specified by:
        `clone` in class `ModelCriterion`

    - #### getCriterion

          public PrivacyCriterion getCriterion(Model model)

      Description copied from class: `ModelCriterion`
      Implement this to return the criterion.
      Specified by:
        `getCriterion` in class `ModelCriterion`
      Returns:

    - #### getD

          public double getD()

      Returns D.
      Returns:

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from class: `ModelCriterion`
      Implement this to return a string representation.
      Specified by:
        `getLabel` in class `ModelCriterion`
      Returns:

    - #### parse

          public void parse(ModelCriterion criterion,
                   boolean _default)

      Description copied from class: `ModelCriterion`
      Parse
      Specified by:
        `parse` in class `ModelCriterion`
        `_default` - Defines whether the model represents a typical parameter configuration for the criterion

    - #### pull

          public void pull(ModelExplicitCriterion criterion)

      Description copied from class: `ModelExplicitCriterion`
      Implement this, to update data.
      Specified by:
        `pull` in class `ModelExplicitCriterion`

    - #### setD

          public void setD(double d)

      Sets D.
      Parameters:
        `d` -

    - #### toString

          public java.lang.String toString()

      Description copied from class: `ModelCriterion`
      Implement this to return a string representation.
      Specified by:
        `toString` in class `ModelCriterion`